{ pkgs ? import <nixpkgs> {} }:

pkgs.mkShell {
  buildInputs = [
    pkgs.nodejs_23
    pkgs.nodePackages.tailwindcss
    pkgs.nodePackages.postcss
    pkgs.nodePackages.autoprefixer
  ];

  shellHook = ''
    echo "✅ Environnement Node.js avec Tailwind, PostCSS et Autoprefixer prêt !"
  '';
}

